Bug 111714 - 6da301e52917 ("drm/i915/tgl: Limit ourselves to just rcs0")
Summary: 6da301e52917 ("drm/i915/tgl: Limit ourselves to just rcs0")
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest blocker
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
: 111720 111735 111736 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-09-17 08:46 UTC by Chris Wilson
Modified: 2019-10-22 10:23 UTC (History)
3 users (show)

See Also:
i915 platform: TGL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Wilson 2019-09-17 08:46:43 UTC

    
Comment 3 Chris Wilson 2019-09-17 11:39:02 UTC
*** Bug 111720 has been marked as a duplicate of this bug. ***
Comment 4 Chris Wilson 2019-09-18 14:54:14 UTC
*** Bug 111735 has been marked as a duplicate of this bug. ***
Comment 5 Chris Wilson 2019-09-18 17:12:02 UTC
*** Bug 111736 has been marked as a duplicate of this bug. ***
Comment 6 CI Bug Log 2019-09-19 06:37:10 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: Random tests - incompletes - drmtip <=368
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_366/fi-tgl-u/igt@kms_busy@extended-modeset-hang-newfb-with-reset-render-c.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/igt@gem_pipe_control_store_loop@reused-buffer.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/igt@kms_big_fb@y-tiled-32bpp-rotate-270.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/igt@gem_persistent_relocs@forked-thrash-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/igt@kms_big_fb@y-tiled-8bpp-rotate-180.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/igt@kms_big_fb@x-tiled-16bpp-rotate-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-d.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/igt@kms_big_fb@y-tiled-32bpp-rotate-180.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/igt@kms_flip@flip-vs-suspend.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/igt@gem_eio@reset-stress.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/igt@gem_partial_pwrite_pread@writes-after-reads-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@kms_big_fb@y-tiled-8bpp-rotate-0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@kms_cursor_crc@pipe-a-cursor-256x256-onscreen.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@kms_cursor_crc@pipe-b-cursor-128x42-sliding.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@kms_cursor_legacy@flip-vs-cursor-varying-size.html
Comment 7 Lakshmi 2019-09-19 06:40:56 UTC
(In reply to CI Bug Log from comment #6)
> The CI Bug Log issue associated to this bug has been updated.
> 
> ### New filters associated
> 
> * TGL: Random tests - incompletes - drmtip <=368
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_366/fi-tgl-u/
> igt@kms_busy@extended-modeset-hang-newfb-with-reset-render-c.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/
> igt@gem_pipe_control_store_loop@reused-buffer.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/
> igt@kms_big_fb@y-tiled-32bpp-rotate-270.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/
> igt@gem_persistent_relocs@forked-thrash-inactive.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/
> igt@kms_big_fb@y-tiled-8bpp-rotate-180.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/
> igt@kms_big_fb@x-tiled-16bpp-rotate-0.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/
> igt@kms_pipe_crc_basic@suspend-read-crc-pipe-d.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u/
> igt@kms_big_fb@y-tiled-32bpp-rotate-180.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/
> igt@kms_flip@flip-vs-suspend.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/
> igt@gem_eio@reset-stress.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/
> igt@gem_partial_pwrite_pread@writes-after-reads-display.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/
> igt@kms_big_fb@y-tiled-8bpp-rotate-0.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/
> igt@kms_cursor_crc@pipe-a-cursor-256x256-onscreen.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/
> igt@kms_cursor_crc@pipe-b-cursor-128x42-sliding.html
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/
> igt@kms_cursor_legacy@flip-vs-cursor-varying-size.html

In the later runs all these incompletes are either pass/fail/skip.
Comment 8 CI Bug Log 2019-09-19 06:57:02 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: Random tests - incompletes - drmtip <=368 -}
{+ TGL: Random tests - incompletes - drmtip <=368 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/igt@gem_tiled_blits@interruptible.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_mocs_settings@mocs-isolation-blt.html
Comment 9 CI Bug Log 2019-09-19 07:46:58 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: Random tests - incompletes - drmtip <=368 -}
{+ TGL: Random tests - incompletes - drmtip <=368 +}


  No new failures caught with the new filter
Comment 10 CI Bug Log 2019-09-19 07:48:20 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: igt@*gem* - fail/dmesg-fail - drm/i915/tgl: Limit ourselves to just rcs0
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_wait@basic-busy-write-all.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@perf_pmu@most-busy-idle-check-all-vcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@perf_pmu@busy-accuracy-98-bcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_busy@extended-parallel-bcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@prime_vgem@wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_tiled_partial_pwrite_pread@writes-after-reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@prime_vgem@sync-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_set_tiling_vs_blt@tiled-to-tiled.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_exec_balancer@bonded-imm.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_bad_reloc@negative-reloc-bltcopy.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@prime_vgem@fence-wait-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_partial_pwrite_pread@writes-after-reads-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_wait@busy-bcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_tiled_partial_pwrite_pread@writes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_eio@banned.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_persistent_relocs@normal.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_exec_schedule@preempt-hang-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_exec_fence@basic-wait-all.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_pwrite_pread@snooped-pwrite-blt-cpu_mmap-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_pwrite_pread@snooped-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@prime_vgem@busy-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_ctx_shared@exec-single-timeline-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_busy@extended-bcs0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@prime_busy@wait-hang-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_pwrite_pread@uncached-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_exec_schedule@preemptive-hang-blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@gem_exec_async@concurrent-writes-render.html
Comment 11 CI Bug Log 2019-09-19 07:51:22 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 12 CI Bug Log 2019-09-19 09:56:38 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: igt@gem_* - skip - Test requirement: gem_has_blitter(i915), SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@write-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-thrash-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@reads-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@evict-active-interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_request_retire@retire-vma-not-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_unfence_active_buffers.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrashing.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@writes-after-reads-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@write.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@normal.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@evict-active.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@softpin.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-faulting-reloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_pipe_control_store_loop@reused-buffer.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-thrashing.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@i915_pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_bad_reloc@negative-reloc-lut-render.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_tiled_partial_pwrite_pread@writes-after-reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-interruptible-thrash-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@write-uncached.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_bad_reloc@negative-reloc-render.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@evict-snoop-interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_pwrite_pread@uncached-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_pwrite_snooped.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@reads-uncached.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_caching@writes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_double_irq_loop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_unref_active_buffers.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@write-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@invalid.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@evict-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_pwrite_pread@snooped-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_tiled_partial_pwrite_pread@writes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@noreloc-s3.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@noreloc-interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_caching@read-writes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-faulting-reloc-thrashing.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-interruptible-thrashing.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_softpin@overlap.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_pwrite_pread@display-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@writes-after-reads-uncached.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_persistent_relocs@forked-faulting-reloc-thrash-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@writes-after-reads-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_partial_pwrite_pread@reads-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_caching@reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u/igt@gem_bad_reloc@negative-reloc-lut-default.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@write-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-thrash-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@reads-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_softpin@evict-active-interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_request_retire@retire-vma-not-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_unfence_active_buffers.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrashing.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_bad_reloc@negative-reloc-default.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@writes-after-reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@writes-after-reads-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@write.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@normal.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_softpin@evict-active.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_softpin@softpin.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-faulting-reloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_pipe_control_store_loop@reused-buffer.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-thrashing.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@i915_pm_rpm@gem-execbuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible-thrash-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@write-uncached.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_pipe_control_store_loop@fresh-buffer.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_tiled_partial_pwrite_pread@reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_bad_reloc@negative-reloc-render.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_softpin@evict-snoop-interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_pwrite_pread@uncached-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_pwrite_snooped.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@reads-uncached.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_caching@writes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_double_irq_loop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_unref_active_buffers.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@write-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_softpin@invalid.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_softpin@evict-snoop.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_pwrite_pread@snooped-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_tiled_partial_pwrite_pread@writes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible-thrashing.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_softpin@overlap.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_pwrite_pread@display-copy-correctness.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_persistent_relocs@forked-faulting-reloc-thrash-inactive.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@writes-after-reads-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_partial_pwrite_pread@reads-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_caching@reads.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_372/fi-tgl-u2/igt@gem_bad_reloc@negative-reloc-lut-default.html
Comment 13 CI Bug Log 2019-09-23 09:56:45 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: igt@gem_* - skip - Test requirement: gem_has_blitter(i915), SKIP -}
{+ TGL: igt@gem_* - skip - Test requirement: gem_has_blitter(i915), SKIP +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_373/fi-tgl-u/igt@gem_exec_faulting_reloc@no-prefault.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_373/fi-tgl-u/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_373/fi-tgl-u2/igt@gem_softpin@noreloc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_373/fi-tgl-u2/igt@gem_exec_faulting_reloc@no-prefault.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_373/fi-tgl-u2/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u/igt@gem_softpin@noreloc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u/igt@gem_exec_faulting_reloc@no-prefault.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrash-inactive.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u2/igt@gem_softpin@noreloc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u2/igt@gem_exec_faulting_reloc@no-prefault.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u2/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_374/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrash-inactive.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u/igt@gem_softpin@noreloc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u/igt@gem_exec_faulting_reloc@no-prefault.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrash-inactive.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u2/igt@gem_softpin@noreloc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u2/igt@gem_exec_faulting_reloc@no-prefault.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u2/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_375/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrash-inactive.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_376/fi-tgl-u/igt@gem_softpin@noreloc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_376/fi-tgl-u/igt@gem_exec_faulting_reloc@no-prefault.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_376/fi-tgl-u/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_376/fi-tgl-u2/igt@gem_softpin@noreloc.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_376/fi-tgl-u2/igt@gem_exec_faulting_reloc@normal.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_376/fi-tgl-u2/igt@gem_persistent_relocs@forked-interruptible-faulting-reloc-thrash-inactive.html
Comment 14 Chris Wilson 2019-09-24 19:50:53 UTC
commit b1da91c9ddcef7ee077ea04797db7fa3a952d683 (HEAD -> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 24 18:35:01 2019 +0100

    drm/i915/tgl: Swap engines for no rps (gpu reclocking)
    
    If we disable rps, it appears the Tigerlake is stable enough to run
    multiple engines simultaneously in CI. As disabling rps should only
    cause the execution to be slow, whereas many features depend on the
    different engines, we would prefer to have the engines enabled while the
    machine hangs are being debugged.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111714
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Acked-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190924173501.21956-1-chris@chris-wilson.co.uk
Comment 15 ashutosh.dixit 2019-09-28 04:23:50 UTC
Still seems to be happening sporadically, or is the filter too general?

http://gfx-ci.fi.intel.com/cibuglog-ng/issue/1828
Comment 16 CI Bug Log 2019-10-16 10:17:25 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 17 Martin Peres 2019-10-16 10:34:52 UTC
(In reply to ashutosh.dixit from comment #15)
> Still seems to be happening sporadically, or is the filter too general?
> 
> http://gfx-ci.fi.intel.com/cibuglog-ng/issue/1828

Yes, there was the suspend-related bug for the most common case. I archived this bug, so if new issues arise, we'll file new bugs.
Comment 18 CI Bug Log 2019-10-16 10:35:24 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 19 CI Bug Log 2019-10-22 10:18:02 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 20 CI Bug Log 2019-10-22 10:21:19 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 21 CI Bug Log 2019-10-22 10:23:41 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.